import request from '../../utils/request'

export function getSelect() {
  return request({
    url: '/queryDrugsAndProjects/getSelect',
    method: 'get',
  })
}

export function queryProjects(data) {
  return request({
    url: '/queryDrugsAndProjects/queryProjects',
    method: 'post',
    data,
  })
}

export function queryDrugs(data) {
  return request({
    url: '/queryDrugsAndProjects/queryDrugs',
    method: 'post',
    data,
  })
}

export function chaKanXiangQing(data) {
  return request({
    url: '/queryDrugsAndProjects/chaKanXiangQing',
    method: 'post',
    data,
  })
}

export function chaKanYaoPing(data) {
  return request({
    url: '/queryDrugsAndProjects/chaKanYaoPing',
    method: 'post',
    data,
  })
}

export function yaoPinHuoXiangMuCode(pyCode, flag) {
  return request({
    url: '/queryDrugsAndProjects/yaoPinHuoXiangMuCode',
    method: 'post',
    params: { pyCode, flag },
  })
}

export function chaXunJianYanJianCha(data) {
  return request({
    url: '/queryDrugsAndProjects/chaXunJianYanJianCha',
    method: 'post',
    data,
  })
}
